@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: Helvetica, Arial, sans-serif;
    -webkit-touch-callout:none;
    -webkit-user-select:none;
    -khtml-user-select:none;
    -moz-user-select:none;
    -ms-user-select:none;
    user-select:none;
    -webkit-tap-highlight-color:rgba(0,0,0,0);
}

.allow-select {
    -webkit-touch-callout:text;
    -webkit-user-select:text;
    -khtml-user-select:text;
    -moz-user-select:text;
    -ms-user-select:text;
    user-select:text;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

.checkbox-lg {
    min-width: 1.5rem;
    min-height: 1.5rem;
    max-width: 1.5rem;
    max-height: 1.5rem;
}

.checkbox-row {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.tag-container {
    border: 1px solid silver;
    min-height: 38px;
    border-radius: 3px;
    display: flex;
    flex-direction: row;
    overflow-x: auto;
}

.tag, .tag-only {
    font-size: 0.8rem;
    background-color: green;
    color: white;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    padding: 0 8px 0 8px;
    border-radius: 3px;
    margin: 4px;
    min-height: 28px;
    cursor: pointer;
}

.tag-only-sm {
    font-size: 0.7rem;
    background-color: green;
    color: white;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    padding: 0 4px 0 4px;
    border-radius: 3px;
    margin: 2px;
    min-height: 16px;
    cursor: pointer;
}

.tag::after {
    content: 'x';
    font-weight: 600;
    font-size: 1rem;
    color: yellow;
    padding-left: 8px;
}

.tag-button {
    font-size: 0.8rem;
    background-color: #1861ac;
    color: white;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    padding: 0 8px 0 8px;
    border-radius: 3px;
    margin: 4px;
    min-height: 28px;
    max-height: 28px;
    min-width: 28px;
    max-width: 28px;
}

.tag-input-container {
    border: 1px solid lightgray;
    min-height: 34px;
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.tag-input-item-green {
    background-color: green;
    color: white;
    font-size: 0.8rem;
    padding: 4px 8px 4px 8px;
    margin: 4px;
    border-radius: 4px;
    width: fit-content;
}

.tag-input-item-blue {
    background-color: navy;
    color: white;
    font-size: 0.8rem;
    padding: 4px 8px 4px 8px;
    margin: 4px;
    border-radius: 4px;
    width: fit-content;
}

.tag-input-button {
    cursor: pointer;
    margin-left: 4px;
}

.no-select {
    -webkit-touch-callout: none; /* iOS Safari */
      -webkit-user-select: none; /* Safari */
       -khtml-user-select: none; /* Konqueror HTML */
         -moz-user-select: none; /* Firefox */
          -ms-user-select: none; /* Internet Explorer/Edge */
              user-select: none; /* Non-prefixed version, currently
                                    supported by Chrome and Opera */
}

.page-link:focus, .page-link:active {
    box-shadow: none !important;
    background-color: inherit;
}

.spinner-border {
    min-height: 2rem;
}

.dropdown-menu {
    font-size: 1.4rem;
    padding: 1rem 0;
}

.dropdown-item {
    padding: 0.5rem 1rem;
}

.text-center {
    text-align: center;
}

.text-right {
    text-align: right;
}

.text-orange {
    color: darkorange;
}

.no-wrap {
    white-space: nowrap;
}

.font-bold {
    font-weight: bold;
}

.dropdown-header {
    font-size: 1.4rem !important;
    font-style: italic;
}

.mech-mid {
    border-radius: 0;
    border: none;
    outline: none;
    height: 100%;
    width: 115%;
    background-color: midnightblue;
}

.mech-start {
    border-radius: 0;
    border: none;
    outline: none;
    height: 100%;
    width: 100%;
    margin-left: 20%;
    background-color: midnightblue;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px
}

.mech-end {
    border-radius: 0;
    border: none;
    outline: none;
    height: 100%;
    width: 100%;
    background-color: midnightblue;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px
}

.mech-mid-active {
    border-radius: 0;
    border: none;
    outline: none;
    height: 100%;
    width: 115%;
    background-color: darkorange;
}

.mech-start-active {
    border-radius: 0;
    border: none;
    outline: none;
    height: 100%;
    width: 100%;
    margin-left: 20%;
    background-color: darkorange;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px
}

.mech-end-active {
    border-radius: 0;
    border: none;
    outline: none;
    height: 100%;
    width: 120%;
    background-color: darkorange;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px
}

.nav-scroll {
    overflow-x: auto;
    overflow-y: hidden;
    flex-wrap: nowrap !important;
}

.nav-item {
    white-space: nowrap;
}

.registration-plate {
    border: 1px solid black;
    background-color: white;
    width: fit-content;
    border-radius: 4px;
    font-weight: 600;
    font-size: 1rem;
    padding: 4px 8px 4px 8px;
    line-height: 1;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    border-left: 16px solid blue;
    white-space: nowrap;
}

.nav-item-nowrap {
    white-space: nowrap;
}

.oi-vehicle-front {
    background-image:url(../img/car-front.svg);
    background-repeat: no-repeat;
    background-size: contain;
    min-width: 16px;
    min-height: 16px;
}

.oi-filter {
    background-image:url(../img/filter.svg);
    background-repeat: no-repeat;
    background-size: contain;
    min-width: 20px;
    min-height: 20px;
    filter: invert(1);
}

.oi-ai {
    background-image:url(../img/ai.png);
    background-repeat: no-repeat;
    background-size: contain;
    min-width: 24px;
    min-height: 24px;
}

.icon-sm {
    width: 20px;
    height: 20px;
    font-size: 0.8rem;
    background-color: gray;
    color: whitesmoke;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    border-radius: 20px;
    margin: 0 2px 0 2px;
    top: 0;
}

.text-link {
    text-decoration: underline;
    color: dodgerblue;
    cursor: pointer;
}

.text-pointer {
    cursor: pointer;
}

.group-row {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin: 28px 0 12px 0;
}

.group-collapse {
    font-size: 1.4rem;
    color: dodgerblue;
    min-width: 32px;
}

.group-collapse-sign {
    transition: 0.2s;
}

.group-sign-expanded {
    transform: rotate(90deg);
}

.title-text {
    font-size: 1rem;
    font-weight: 600;
}

.sub-title-text {
    font-size: 0.8rem;
    color: dimgray;
}

@keyframes image-progress-anim {
    from { filter: grayscale(1) brightness(0.4) }
    to { filter: grayscale(1) brightness(0.6) }
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }
